This model simulates the afferent neural encoding in response to 
mechanical colorectal stretching. A custom-built mechano-sensitive ion 
channel, gated by membrane tension induced by circumferential colorectal 
stretch, is incorporated. A lumped parametric model has been developed to 
calculate membrane tension from the overall colorectal stretch.

This model was developed to predict and validate the experimental studies 
reported in the paper. It systematically investigates the role of NaV1.6 
in afferent neural encoding using subtype-selective sodium channel 
blockers. The model simulation recapitulates the experimental results on 
the necessary role of NaV1.6 in afferent neural encoding to colorectal 
stretch.

This code is associated with the paper:

> Feng B, Zhu Y, La JH, Wills ZP, Gebhart GF. Experimental and 
> computational evidence for an essential role of NaV1.6 in spike initiation 
> at stretch-sensitive colorectal afferent endings. J Neurophysiol. 2015 
> Apr 1;113(7):2618-34. doi: 10.1152/jn.00717.2014. Epub 2015 Feb 4. 
> PMID: 25652923; PMCID: PMC4416596.
